IMMPAIFInfo (Carbide.c++ SDK API Reference)
Keywords: com.nokia.carbide.cpp.epoc.engine.model.mmp.IMMPAIFInfo interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Carbide.c++
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nokia.carbide.cpp.epoc.engine.model.mmp
Interface IMMPAIFInfo

    public interface IMMPAIFInfo

Abstract representation of the AIF statement.

Method Summary
`IMMPAIFInfo` | `copy()` Deep copy the contents
`IBitmapSourceReference` | `createBitmapSourceReference()` create a new, empty, invalid bitmap source reference (not added)
`int` | `getColorDepth()` Get color depth for bitmaps; may be 0 if no bitmaps
`ImageFormat` | `getImageFormat()` Get a copy of the image format.
`int` | `getMaskDepth()` Get mask depth for bitmaps; may be 0
`IPath` | `getResource()` Get the project-relative resource file
`java.util.List<IBitmapSourceReference>` | `getSourceBitmaps()` Access/modify the project-relative bitmaps -- this does not include SVG files!
`IPath` | `getTarget()` Get the TARGETPATH-relative file
`boolean` | `isColor()` Get color flag for bitmaps
`boolean` | `isValid()` tell if this is valid, e.g., initialized: target, source, resource must be set
`void` | `set(IMMPAIFInfo aifInfo)` Set contents from another.
`void` | `setColor(boolean color)` Set color flag for bitmaps
`void` | `setColorDepth(int depth)` Set color depth for bitmaps
`void` | `setMaskDepth(int depth)` Set mask depth for bitmaps; may be 0
`void` | `setResource(IPath path)` Set the project-relative resource file
`void` | `setSourceBitmaps(java.util.List<IBitmapSourceReference> bitmaps)` Set the project-relative bitmaps -- this does not include SVG files!
`void` | `setTarget(IPath path)` Set the TARGETPATH-relative target file

Method Detail

### isValid

    boolean isValid()

  tell if this is valid, e.g., initialized: target, source, resource must be set

### getTarget

    IPath getTarget()

  Get the TARGETPATH-relative file

### setTarget

    void setTarget(IPath path)

  Set the TARGETPATH-relative target file

### getResource

    IPath getResource()

  Get the project-relative resource file

### setResource

    void setResource(IPath path)

  Set the project-relative resource file

### isColor

    boolean isColor()

  Get color flag for bitmaps

### setColor

    void setColor(boolean color)

  Set color flag for bitmaps

### getColorDepth

    int getColorDepth()

  Get color depth for bitmaps; may be 0 if no bitmaps

### setColorDepth

    void setColorDepth(int depth)

  Set color depth for bitmaps

### getMaskDepth

    int getMaskDepth()

  Get mask depth for bitmaps; may be 0

### setMaskDepth

    void setMaskDepth(int depth)

  Set mask depth for bitmaps; may be 0

### getSourceBitmaps

    java.util.List<IBitmapSourceReference> getSourceBitmaps()

  Access/modify the project-relative bitmaps -- this does not include SVG files!

### setSourceBitmaps

    void setSourceBitmaps(java.util.List<IBitmapSourceReference> bitmaps)

  Set the project-relative bitmaps -- this does not include SVG files!

### createBitmapSourceReference

    IBitmapSourceReference createBitmapSourceReference()

  create a new, empty, invalid bitmap source reference (not added)

  See Also:
    `IImageSourceReference.isValid()`

### getImageFormat

    ImageFormat getImageFormat()

  Get a copy of the image format.

  Returns:

### copy

    IMMPAIFInfo copy()

  Deep copy the contents

  Returns:

### set

    void set(IMMPAIFInfo aifInfo)

  Set contents from another.

  Parameters:
    `aifInfo` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Carbide.c++
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD